Red Hat Linux/x86 7.2 Notas de última hora
---------------------------------------------

Anaconda/Notas sobre la instalación
-----------------------------------

 Gestor de arranque
 ------------------

   - A partir de este momento utilizaremos GRUB como gestor de arranque por defecto.
     No obstante, LILO está disponible para instalaciones antiguas. 

   - GRUB soporta una contraseña que controla el acceso a la shell de GRUB. GRUB tiene
     la habilidad de ejecutar comandos arbitrarios de importancia vital para el
     mantenimiento de la seguridad del sistema.  Considere las implicaciones del mismo 
     con detenimiento antes de decidir el uso de una contraseña GRUB. Esta contraseña
     está encriptada mediante el uso de MD5; vea la página de manual grub-md5-crypt para
     obtener más información.

   - Cuando ejecute la actualización de una versión precedente de Red Hat Linux,
     es necesario que escribir el gestor de arranque en el mismo sitio en el que 
     fue usado en la instalación anterior. Por ejemplo, si el gestor de arranque ha 
     sido instalado en el master boot record (MBR) originariamente, cuando el sistema 
     se actualice deberá copiar también el gestor de arranque en el MBR. De no ser 
     así, probablemente no le sea posible arrancar el sistema.
    
   - Si utiliza el gestor de arranque GRUB, no deberá volver a ejecutar GRUB
     después de haber actualizado el kernel. Esto no es así con el gestor de arranque
     LILO, que necesita volver a ejecutar LILO después de cada cambio.
     Tan sólo deberá modificar la configuración del fichero de GRUB (/boot/grub/grub.conf)
     para indicar el kernel y permitir que GRUB lo arranque.

   - Si decide usar el gestor de arranque GRUB tras la instalación o necesita
     reinstalar GRUB, lo podrá hacer mediante el uso del comando  /sbin/grub-install.
     La sintaxis del comando incluye la especificación del dispositivo mostrándole el
     lugar en el que el gestor de arranque será instalado.
     
     Ejemplo
               /sbin/grub-install /dev/hda

   - Para arrancar en modo monousuario desde GRUB, haga lo siguiente desde
     la ventana de menú de GRUB:

         1.  Seleccione el kernel que desee iniciar.

         2.  Pulse la tecla 'e' para modificar dicha entrada.

         3.  Utilice las teclas de las flechas para navegar en la línea del kernel
             (por ejemplo: kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  Pulse la tecla 'e' para modificar la línea.

         5.  Añada el argumento 'single' al final de la línea y
             pulse Intro.

         6.  Pulse la tecla 'b' para arrancar.


 Particionamiento
 ----------------

   - La interfaz de usuario Disk Druid ha sido rediseñada para 
     incorporar una interfaz que aproveche mejor el entorno gráfico.

   - Disk Druid puede crear particiones primarias al especificar el 
     rango del cilindro.

   - Disk Druid soporta la habilidad de especificar la creación de 
     una nueva partición como una partición primaria.

   - Las instalaciones en modo texto poseen soporte para la creación 
     de dispositivos RAID.

   - Se soporta la especificación de dispositivos disponibles para RAID.

   - El autoparticionamiento permite especificar qué unidades utilizar 
     y cuales no.

   - Existe una opción para visualizar y modificar los resultados del 
     autoparticionamiento (sólo para instalaciones gráficas -- bajo el 
     modo texto siempre se pueden ver los resultados).

   - El sistema de ficheros journaling ext3 está ahora disponible.

   - Se seleccionarán sistemas de ficheros preexistentes para volver a 
     formatear durante la instalación.

   - Los sistemas de ficheros ext2 existentes podrán ser migrados a ext3 
     durante la instalación y actualización. Este proceso no afecta a los 
     datos del sistema de ficheros.

   - Se han realizado pruebas adicionales contra los puntos de montaje 
     creados por el usuario; esto debería evitar los problemas más comunes 
     (tales como un punto de montaje '/' de tan sólo 5 MB).

   - GNU Parted es utilizado como programa de particionamiento principal, 
     sustituyendo de este modo a la librería libfdisk.

     Parted determina el tipo de sistema de ficheros al examinar el sistema 
     de ficheros actual escrito en una partición, en lugar de hacerlo en una 
     clase de sistema de ficheros escrita en una tabla de partición. Esto le 
     puede llevar a situaciones de confusión en el caso de que haya particiones 
     que ya existan en su sistema.

     Por ejemplo, si usa fdisk para cambiar el tipo de partición de 
     una partición VFAT a una partición ext2, parted lo considerará 
     como una partición VFAT porque todavía existe un sistema de ficheros 
     VFAT en él. En este ejemplo, deberá volver a formatear la
     partición como ext2 a través de la interfaz Disk Druid antes 
     de que la partición sea considerada como ext2.  Cada vez que utilice 
     fdisk en el instalador y vaya a la pantalla de configuración de 
     los puntos de montaje, deberá revisar y modificar cada partición 
     (en Disk Druid) y configurar apropiadamente las opciones de formateo.

 Kickstart
 ---------
 
   - Durante el proceso de instalación, se escribe un fichero 
     kickstart en /root/anaconda-ks.cfg en el que se reflejan las 
     opciones de la instalación realizada . Este fichero puede usarse 
     para crear una instalación similar a la del sistema recién instalado.

   - Kickstart funciona en modo gráfico (cuando éste está disponible).
     No obstante, se puede cambiar al modo texto usando el comand 'text'
     en el fichero kickstart.

   - Kickstart Configurator (ksconfig) soporta la creación de 
     particiones en una unidad específica y existente, la 
     configuración de las X, la escritura de los scripts de 
     pre y post- instalación, la ejecución de una actualización 
     y las nuevas características presentes en esta versión. También 
     permite a los usuarios visualizar las opciones que haya elegido con 
     antelación antes de guardar el fichero y posee un manual integrado 
     para la creación de un fichero kickstart de forma sencilla.

   - Kickstart posee diferentes nuevas características/directivas:

     interactive -- lee en el fichero kickstart, realiza la instalación 
                    con la interfaz de usuario rellena con valores de 
                    kickstart. Esperará la entrada de datos del usuario 
                    en cada ventana.

     text -- fuerza que kickstart funcione en modo texto. El modo gráfico es el          
             predeterminado en esta versión.

   - El comando clearpart acepta la opción --ondisk:

     --ondisk -- se pueden especificar la unidades en las que se 
                 desea crear las particiones.

   - Un nuevo comando para el gestor de arranque 'bootloader' 
     que soporta lo siguiente:

     --append <args> -- añade <args> en la línea del kernel

     --useLilo -- usa LILO en lugar de GRUB

     --md5pass <contraseña encriptada MD5> -- contraseña a utilizar para GRUB

   - Indicadores añadidos para el comando xconfig que sirven para definir:

     --resolution 1024x768 -- configuración de la resolución de la 
                              pantalla (1024 por 768 en este ejemplo)

     --depth 16 -- configurar la profundidad del color (configuradada a
                   16 bits de color en este ejemplo)

 Miscelánea
 ----------

   - La pantalla individual de selección soporta ahora la visualización 
     de todos los paquetes.

   - Para instalaciones basadas en FTP, ahora es posible montar 
     imágenes ISO de Red Hat Linux en loopback en un servidor FTP. 
     Las imágenes ISO deberían ser montadas en loopback como /disc1, 
     /disc2, etc -- en el mismo directorio. Este directorio debería 
     ser especificado cuando se inicia un instalación basada en FTP.

   - Para maximizar espacio en la imagen de instalación, el programa 
     BusyBox proporciona soporte para muchos comandos que se usan 
     habitualmente.

   - El modo rescate aparece antes de intentar montar los sistemas de 
     ficheros del sistema instalado.

  - Las instalaciones sin particiones ya no están soportadas; sin 
    embargo, sí que están soportadas las instalaciones sin 
    particiones anteriores.

   - Los dispositivos de disco USB se soportan ahora durante la instalación.


Notas generales sobre la distribución
-------------------------------------

   - Existen algunas particularidades al actualizar sistemas Red Hat 
     Linux 6.x, 7.0 y 7.1 que utilicen Ximian GNOME.

     Dichas particularidades se deben a la superposición entre los RPMs 
     oficiales de Red Hat Linux y los de Ximian. Sepa que ésta es una 
     configuración no soportada por Red Hat. Tiene diferentes opciones 
     para resolver esta particularidad:

     - Eliminar Ximian GNOME de su sistema Red Hat Linux antes de 
       actualizar Red Hat Linux.

     - Actualizar Red Hat Linux e inmediatamente reinstalar Ximian GNOME.

     - Actualizar Red Hat Linux e inmediatamente eliminar todos los RPMs 
       de Ximian restantes y reemplazarlos con los RPMs de Red Hat Linux 
       correspondientes.

     *Debe* resolver la superposición de versión mediante una de las opciones 
     anteriormente expuestas. De lo contrario su configuración de GNOME será 
     muy inestable. 

   - GNOME ha sido actualizado hasta la versión 1.4 y se inclulye la shell 
     gráfica Nautilus.

   - El centro de control GNOME ha sido reemplazado por la carpeta 
     'preferences:' en Nautilus. La ejecución de 'gnomecc' de forma 
     manual debería funcionar.

   - Ya no existe el CD de PowerTools. Sin embargo, los paquetes más 
     utilizados en PowerTools se han incluido en Red Hat Linux.
 
   - Configuración del Firewall -- Para más seguridad, puede configurar 
     un firewall como parte de la instalación de su sistema. Puede 
     escoger entre dos niveles de seguridad, así como entre los 
     servicios del sistema más comunes que han de habilitarse o 
     deshabilitarse por defecto.

     Ambas configuraciones del firewall, ya sea 'media' o 'alta' 
     provocarán servicios basados en RPC (tales como NIS o NFS) que 
     podrán bloquearse y fallar.

   - XFree86 actualizada hasta 4.1.0 incluyendo soporte mejorado 
     de hardware. Se incluye aceleración hardware 3D para el chipset 
     ATI Radeon. La mayoría de las tarjetas de vídeo soportan la 
     extensión RENDER y proporcionan soporte de fuente anti-alias 
     para una amplia gama de hardware. Las viejas extensiones de X, 
     XIE y PEX (Phigs), pasan a no estar aprobadas oficiamente por 
     el equipo de Xfree86 y serán eliminadas de la próxima versión 
     de Red Hat Linux.
    
  - XFree86 3.3.6 pasa a ser anticuado y será eliminado en futuras versiones de
    Red Hat Linux.  Actualmente se incluye por compatibilidad.

   - Los initscripts utilizan ahora /sbin/ip (de los paquetes iproute) 
     para la mayoría de operaciones. /sbin/ip requiere netlink y las 
     características netlink routing del kernel para funcionar correctamente; 
     es imposible utilizar la funcionalidad completa de ruteo del  
     kernel sin estas características. Si crea su propio kernel, 
     asegúrese de que CONFIG_NETLINK y CONFIG_RTNETLINK están habilitados.

   - Se ha añadido soporte inicial unificado para el coreano.

   - Binutils y gcc soportan la fusión de duplicados de constantes de 
     cadenas a través de binarios o librerías compartidas (previamente 
     los duplicados se fusionaban mediante una única unidad de compilación).

   - Se ha incluido gcc-3.0 para aquellos que necesiten soporte standard 
     compatible en C++ o STL y para aquellos que quieren utilizar las 
     características de gcc para Java.  Observe que el compilador del 
     sistema soportado para C y C++ todavía es gcc-2.96 (Red Hat).

   - El paquete VNC soporta un nuevo tipo de codificación para las 
     conexiones de ancho de banda bajo. 

   - Red Hat Linux incluye la primera versión del procesador XSLT de 
     Gnome (xsltproc) que usa la versión 2 de la librería asociada XML.

  - Se ha añadido soporte ODBC para php, postgresql ha sido actualizado a la
    versión  7.1.2, se han añadido interfaces y se han actualizado 
    interfaces perl.

  - Se incluyen nuevas herramientas de configuración. Con estas herramientas 
    puede configurar:

       -  la red (redhat-config-network)
       -  la hora/fecha (redhat-config-date)
       -  el control del sistema (redhat-config-services)
       -  los usuarios/grupos (redhat-config-users)
       
   - Se han desaprobado los siguientes paquetes/características antiguos/as
     y se eliminarán en sucesivas versiones de Red Hat Linux:
     
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 librerías de compatibilidad/entorno de creación
       - Entorno de creación de Red Hat Linux 6.x
       - Gestor de ventanas Enlightenment
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Notas sobre el kernel
---------------------

   - El Kernel incluye el sistema de ficheros journaling ext3. 
     Este sistema de ficheros tiene 3 formas de operar:

       - 'ordered'
       - 'journal'
       - 'writeback'

      La forma predeterminada es 'ordered', que le asegurará la 
      visualización de datos válidos en lo ficheros recientemente 
      escritos tras una caída del sistema.

      El modo 'writeback' puede ser más rápido en algunos casos, 
      pero no fuerza los datos al disco tan rigurosamente; de 
      manera que, tras una caída del sistema, podrá visualizar 
      los datos corruptos en los ficheros recientemente escritos.

      El modo'journal' copia todos los datos al journal y funciona 
      muy bien a gran velocidad si está ejecutando la escritura de 
      muchos datos al mismo tiempo (por ejemplo, en los spools de 
      correo o servidores NFS sincronizados). No obstante, utilizándolo 
      en un uso normal  el modo'journal' resulta con frecuencia 
      más lento.

      El modo se configura mediante el uso de la opción 'data=<mode>' 
      en /etc/fstab o como 'mount -o data=<mode>' en la línea de 
      comandos de montaje.

      Normalmente, un sistema de ficheros ext2 se chequea automáticamente 
      una vez cada cierto periodo de tiempo o cada cierto número de 
      montajes que se hayan producido desde que el sistema de ficheros 
      fue chequeado por última vez. En dichas ocasiones, es obligatorio el 
      'fsck' (chequeo del sistema de ficheros) completo del sistema de 
      ficheros en el momento de arrancar el sistema para comprobar la 
      integridad del sistema de ficheros.

      Cuando el instalador actualiza un sistema de ficheros ext3, éste 
      deshabilita estos chequeos automáticos. Utilice 'tune2fs' con las 
      opciones'-c' y/o'-i' para rehabilitar o deshabilitarlas en los 
      sistemas de ficheros que usted crea manualmente.

      Observe que estos escaneados de limpieza de datos supérfluos de fsck  
      no tienen nada que ver con el comportammiento del sistema de ficheros 
      cuando se descubre un error en un disco o cuando se produce una caída. 
      Si se encuentra un error de consistencia en un sistema de ficheros en 
      un disco, cuando se vuelva a arrancar el sistema se producirá siempre 
      un fsck, para ambos sistemas de ficheros ext2 y ext3. Si se produce 
      una caída en un sistema de ficheros intacto, ext2 siempre forzará a 
      un fsck y ext3 siempre ejecutará el paso de recuperación del sistema 
      de ficheros; esta limpieza de datos supérfluos no se ve afectada por 
      la configuración de los intervalos de chequeo obligado de  'tune2fs'. 

      Por favor, tenga en cuenta que incluso un sistema de ficheros con 
      journaling puede dañarse por la pérdida de energía. Cuando un sistema 
      pierde la energía, el comportamiento del sistema es impredecible. Por 
      ejemplo, el contenido de la memoria puede corromperse mientras su 
      contenido es copiado a un disco duro en el último instante de energía.
      Esta es una situación, fundamentalmente diferente, de la secuencia más
      delimitada de sucesos causados por la pulsación del botón "reset" del
      sistema cuando dicho sistema está en ejecución. Además, las unidades IDE
      de discos duros no proporcionan todas las garantías de ordenes de
      escritura que las unidades SCSI sí proporcionan. 

      Por lo tanto, después de una caída del sistema, le será ofrecida la
      posibilidad de chequear la integridad de sus sistemas de ficheros. El 
      fichero /.autofsck es el que almacena la "señal de caída" usada para 
      suministrar esta característica. Tiene cinco segundos para pulsar "y" 
      para chequear sus sistemas de ficheros durante el arranque posterior a 
      la caida de su sistema, sea cual sea la razón de dicha caída.

  - Red Hat Linux instalará un kernel optimizado para los procesadores Athlon
     en sistemas con un CPU de tipo Athlon. Debido a la optimización, esto aportará una 
     mayor carga en los componentes del sistema. Por consiguiente, habrá un número
     minoritario de máquinas que fracasarán al arrancar debido a que el hardware no 
     se ajusta a las especificaciones de AMD imposibilitando, de este modo, 
     hacer frente a la carga. En dichos sistemas puede optar por actualizar el 
     hardware (las unidades de almacenamiento ininterrumpido sin energía pueden
     producir esto) o utilizar la capacidad de rescate del instalador para instalar un 
     kenel i686.

  - Algunas máquinas de tipo Athlon están fuera de las especificaciones
    o tienen unas configuraciones de chipset demasiado agresivas fijadas
    por su BIOS.  En estos sistemas, puede que vea aleatoriamente 
    mensajes "Oops" en en arranque del sistema (después de completar
    satisfactoriamente el proceso de instalación) y puede ser incapaz
    de arrancar adecuadamente.  En estos sistemas, arranque con la
    opción "noathlon" para desactivar las optimizaciones athlon;
    instale el kernel 686 en vez del kernel athlon para evitar esto
    en el futuro.

Notas sobre el sistema de impresión
-----------------------------------

   - El sistema printconf proporciona el programa printconf-tui, 
     para la configuración de la impresora en modo texto.

   - El programa printconf-tui proporciona capacidades de 
     importación  y exportación de la línea de comandos. La 
     importación puede fusionar definiciones de impresión con 
     aquéllas que ya existen o puede sobreescribirlas (por defecto).

     Ejemplo:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     o:
         printconf-tui --Ximport --merge < settings.xml

     Combinado con redirección -- como 'here documents' de bash (vea la página
     de manual de bash para más información) -- es fácil introducir 
     configuraciones de impresión en los ficheros kickstart.

   - El programa printconf-tui puede borrar configuraciones por completo.

     Ejemplo:

          printconf-tui --Xclear

   - Las herramientas printconf proporcionan autodetección limitada 
     de impresión.

   - redhat-config-printer-tui y redhat-config-printer-gui son alias de
     printconf-tui y printconf-gui, respectivamente.
     
   - Se ha actualizado Ghostscript hasta 6.51 y soporta muchos drivers 
     adicionales, así como ficheros PDF encriptados.

   - Se ha añadido soporte para los drivers de impresiónn ghostscript 
     hpijs de Hewlett Packard. Aunque no están incluidos en la 
     distribución, debido a restricciones de licencia, se pueden 
     descargar del sitio: http://hpinkjet.sourceforge.net y deberían 
     funcionar como componentes drop-in.

i386 7.2
